Kerbal Space Program - Bug #22746

Settings not remembering Resolution
06/02/2019 07:11 PM - Jognt

Status: Need More Info Start date: 06/02/2019
Severity: Low % Done: 0%
Assignee: victorr
Category: Camera
Target version:
Version: 1.71 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

On 1.7.0 MH | changed my Resolution from 1440p Fullscreen to 1080p Fullscreen (Ul scaling still sucks for some parts, mostly
mods).

On 1.7.1 MH+BG (fresh install, so different from the one before) | also dropped from 1440p fullscreen to 1080p fullscreen. After
clicking Apply/Accept the screen flickers and | am sent to the main menu as expected and the menu looks 1080p (washed out) but if |
enter Settings it's back to 1440p and crisp visuals.

Exiting the game and checking the settings CFG it is properly set to 1080p yet the game still moves to 1440p if | enter the settings
menu.

Issue persisted after emptying the GameData folder from all mods/folders except Squad and SquadExpansion.

History

#1 - 06/04/2019 06:53 PM - Jognt
Having played some more in my 1.7.0 game | noticed that apparently this isn't a new bug. It's also happening there.
Apparently it was introduced around 1.4 (I came back after 1.3.1) and it means that selecting a resolution below native will not be honored.

The settings file has the correct value, the settings menu snaps back to the correct value if you change something else, and the game itself will often
ignore all of that and render in native instead of the <native resolution.

#2 - 11/01/2019 03:58 PM - victorr
- Status changed from New to Need More Info

- Assignee set to victorr

We've made some changes in the most recent version of the game and would like your feedback on this issue. Does the issue continue on a fresh
install?

#3 - 11/01/2019 06:15 PM - Jognt
victorr wrote:
We've made some changes in the most recent version of the game and would like your feedback on this issue. Does the issue continue on a

fresh install?

I'll see if | can check in the coming week. Give me a poke if | forget to respond.

#4 - 11/02/2019 02:46 AM - Jognt
victorr wrote:
We've made some changes in the most recent version of the game and would like your feedback on this issue. Does the issue continue on a

fresh install?

Did a quick check, seems to have been resolved. Thanks for following up on it!
